DefaultResultStub
Date: 2015-09-15

org.jmock.core.stub

## Class DefaultResultStub

- java.lang.Object
- - org.jmock.core.stub.DefaultResultStub

- All Implemented Interfaces:
    SelfDescribing, Stub

      public class DefaultResultStub
      extends java.lang.Object
      implements Stub

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultResultStub()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addResult(java.lang.Class resultType, java.lang.Object resultValue)`
    `protected void` | `createDefaultResults()`
    `java.lang.String` | `createErrorMessage(Invocation call)`
    `java.lang.StringBuffer` | `describeTo(java.lang.StringBuffer buf)` Appends the description of this object to the buffer.
    `java.lang.Object` | `invoke(Invocation invocation)` Processes the invocation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultResultStub

          public DefaultResultStub()

  - ### Method Detail

    - #### describeTo

          public java.lang.StringBuffer describeTo(java.lang.StringBuffer buf)

      Description copied from interface: `SelfDescribing`
      Appends the description of this object to the buffer.
      Specified by:
        `describeTo` in interface `SelfDescribing`
      Parameters:
        `buf` - The buffer that the description is appended to.
      Returns:
        The buffer passed to the invokedMethod.

    - #### addResult

          public void addResult(java.lang.Class resultType,
                       java.lang.Object resultValue)

    - #### invoke

          public java.lang.Object invoke(Invocation invocation)
                                  throws java.lang.Throwable

      Description copied from interface: `Stub`
      Processes the invocation.
      Specified by:
        `invoke` in interface `Stub`
      Parameters:
        `invocation` - The invocation to stub.
      Returns:
        The result of the invocation, if not throwing an exception. Must return `null` if the invocation is of a invokedMethod with a void return type.
      Throws:
        `java.lang.Throwable` - An exception to be thrown to the caller, if not returning a value. A checked exception thrown from this invokedMethod must be in the `throws` list of the invoked method.

    - #### createErrorMessage

          public java.lang.String createErrorMessage(Invocation call)

    - #### createDefaultResults

          protected void createDefaultResults()